org.tmatesoft.svn.core.javahl

## Class JavaHLAuthenticationStorage

- java.lang.Object
- - org.tmatesoft.svn.core.javahl.JavaHLAuthenticationStorage

- All Implemented Interfaces:
    org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage

      public class JavaHLAuthenticationStorage
      extends java.lang.Object
      implements org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage

  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaHLAuthenticationStorage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `java.lang.Object` | `getData(java.lang.String kind, java.lang.String realm)` Retrieves a cached credential of the specified kind for the given repository authentication realm from the auth storage.
    `void` | `putData(java.lang.String kind, java.lang.String realm, java.lang.Object data)` Caches a credential of the specified kind for the given repository authentication realm in the auth storage.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaHLAuthenticationStorage

          public JavaHLAuthenticationStorage()

  - ### Method Detail

    - #### putData

          public void putData(java.lang.String kind,
                     java.lang.String realm,
                     java.lang.Object data)

      Description copied from interface: `org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage`
      Caches a credential of the specified kind for the given repository authentication realm in the auth storage.
      Specified by:
        `putData` in interface `org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage`
      Parameters:
        `kind` - a credential kind (for example, like those defined in `ISVNAuthenticationManager`)
        `realm` - a repository authentication realm including a hostname, a port number and a realm string
        `data` - a credential object

    - #### getData

          public java.lang.Object getData(java.lang.String kind,
                                 java.lang.String realm)

      Description copied from interface: `org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage`
      Retrieves a cached credential of the specified kind for the given repository authentication realm from the auth storage.
      Specified by:
        `getData` in interface `org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage`
      Parameters:
        `kind` - a credential kind (for example, like those defined in `ISVNAuthenticationManager`)
        `realm` - a repository authentication realm including a hostname, a port number and a realm string
      Returns:
        a credential object

    - #### clear

          public void clear()

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.